Lots of errors?


i do see alot of things about coremods but for all these plugins i don’t see a coredmod or there wasn’t even build one


That’s the point. No Sponge plugins (using only the API that is) are core mods, and only a small handfull of Forge mods are core mods either. SpongeForge for example is a core mod, which in layman’s terms simply means it makes changes to the code of Minecraft and Forge. This is not only expected, but also required for Sponge to function properly.


well i have sponge installed but why does it give the error about no coremod found?


Looks right to me.

[14:34:32] [main/DEBUG] [FML/]: Examining for coremod candidacy spongeforge-1.10.2-2477-5.2.0-BETA-2637.jar [14:34:32] [main/INFO] [FML/]: Loading tweaker org.spongepowered.asm.launch.MixinTweaker from spongeforge-1.10.2-2477-5.2.0-BETA-2637.jar

[14:34:32] [main/DEBUG] [FML/]: Instantiating coremod class SpongeCoremod [14:34:32] [main/DEBUG] [FML/]: The coremod org.spongepowered.mod.SpongeCoremod requested minecraft version 1.10.2 and minecraft is 1.10.2. It will be loaded.
[14:34:33] [main/DEBUG] [FML/]: Enqueued coremod SpongeCoremod

The only issue I see is your use of an illegal version of Pixelmon, but it seems that’s no issue for you.


meh most mods are either illegal since most mods are based of other games still is it even a error or aint i have to bother about the coremod debug messages?


There’s a difference between ‘not sanctioned’ and 'contains stolen source, breaks the C&D from The Pokémon Company, breaks Pixelmon’s license with Ikara Software, and is absolute garbage`.

It’s a debug message. Debug != error.


been googling and so on while noticing it but really nothing which could help me hence why posting here i’l look more into it when i have more time as long as the plugins work as they should do i don’t gonna bother to hard about it